System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Flags

The values are used by the method of and any classes derived from it.

A bitwise combination of these values may be used.

is ignored when used to define a or and should therefore not be used. Use the constructor that does not require a CommandBehavior parameter in these two cases.

Use to retrieve large values and binary data. Otherwise, an might occur and the connection will be closed.

Provides a description of the results of the query and its effect on the database.

- Field
  System.Data.CommandBehavior To be added

  When the command is executed, the associated Connection object is closed when the associated DataReader object is closed.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.CommandBehavior To be added

  The query may return multiple result sets. Execution of the query may affect the database state. Default sets no flags, so calling ExecuteReader(CommandBehavior.Default) is functionally equivalent to calling ExecuteReader().

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.CommandBehavior

  When is used for command execution, the provider will append extra columns to the result set for existing primary key and timestamp columns.

  When using , the .NET Framework Data Provider for SQL Server precedes the statement being executed with SET FMTONLY OFF and SET NO_BROWSETABLE ON. The user should be aware of potential side effects, such as interference with the use of SET FMTONLY ON statements. See SQL Server Books Online for more information.

  The query returns column and primary key information.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.CommandBehavior To be added

  The query returns column information only. When using , the .NET Framework Data Provider for SQL Server precedes the statement being executed with SET FMTONLY ON.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.CommandBehavior

  When you specify SequentialAccess, you are required to read from the columns in the order they are returned, although you are not required to read each column. Once you have read past a location in the returned stream of data, data at or before that location can no longer be read from the DataReader. When using the , you can reread the current column value until reading past it. When using the , you can read a column value only once.

  Provides a way for the DataReader to handle rows that contain columns with large binary values. Rather than loading the entire row, SequentialAccess enables the DataReader to load data as a stream. You can then use the GetBytes or GetChars method to specify a byte location to start the read operation, and a limited buffer size for the data being returned.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.CommandBehavior To be added

  The query returns a single result set.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.CommandBehavior To be added

  The query is expected to return a single row of the first result set. Execution of the query may affect the database state. Some .NET Framework data providers may, but are not required to, use this information to optimize the performance of the command. When you specify with the method of the object, the .NET Framework Data Provider for OLE DB performs binding using the OLE DB IRow interface if it is available. Otherwise, it uses the IRowset interface. If your SQL statement is expected to return only a single row, specifying can also improve application performance. It is possible to specify SingleRow when executing queries that are expected to return multiple result sets. In that case, where both a multi-result set SQL query and single row are specified, the result returned will contain only the first row of the first result set. The other result sets of the query will not be returned.

  1.0.5000.0
  2.0.0.0